Subject: RE: [PWE3] Draft Charter

From: [email-masked]
Date: Tue, 19 Jul 2005 15:57:51 +0100

Danny, PWE3,

Some questions for clarification from myself on the proposed charter:

> Network operators and their subscribers are seeking to rationalize
> their networks by migrating to a single IP or MPLS based packet
> switched network (PSN).

What is meant by 'single IP or MPLS based packet network'?  I believe
(full service) operators like BT are looking to converge & migrate their
existing services/platforms but I don't believe that
convergence/migration will result in a single PSN mode, rather the idea
is to converge onto a single technology per mode.  So, BT for instance,
will still have cl-ps (IP), co-ps (MPLS) and co-cs (SDH) modes deployed,
but the idea is to converge/migrate other services/platforms that belong
to each these modes, onto the chosen technology for that mode.

Can I suggest a rewording to something like "Network operators and their
subscribers are seeking to rationalize their networks by migrating their
existing services and platforms onto IP or MPLS based packet switched
networks (PSN)."

> PWE3 will evaluate the use of PW mechanisms for an "MPLS Pseudowire"
> to transparently carry an MPLS label stack and payload between two
> PE routers.

> Specify a PW type that supports transparent carriage of IP payloads
> between disparate access services (e.g., ATM and Ethernet).

> Enhance packet-based PW specifications as necessary to allow
> the emulated service to be carried transparently over the PSN,
> for example by the retention of the FCS across the PW.

I think I've asked this before, but forgive me because I have forgotten
the answer.  What is meant in these contexts by transparent.  I
interpret transparent (with my ITU background) to mean the client is not
modified/altered by the server (PW) over which is it transported.  I
completely agree with transparently transferring clients (for my/the ITU
understanding of transparent) but this seems to be at odds to some
existing PW drafts/implementations where client modification currently
takes place.

Can I intepret these statements to mean that PWs used/designed (in
future) to transport IP or MPLS client payloads will transport those
payloads tranparently (according to my/the ITU understanding of
transparent), and that work will be undertaken to 'retrofit' transparent
modes to existing PW types where necessary/demanded (e.g. by
enabling/allowing FCS retention etc.)?

> Specify OAM mechanisms for all PW types, suitable for
> operation over both IP and MPLS PSNs, and capable of
> providing the necessary interworking with the OAM mechanisms
> of the emulated service.

What is meant by 'suitable for operation over both IP and MPLS PSNs'?
Does this mean a single set of (identical) OAM mechanismx will be
specified that covers both the IP and MPLS PSN cases, or that OAM must
be specified for the IP and MPLS PSN cases individually and that the PW
OAM mechanisms specified for an IP PSN may differ from those specified
for an MPLS PSN?

> Define the reqiurements for and mechanisms needed to allow
> the operation of switched virtual circuits over a PSN.

Correction: reqiurements => requirements

Thanks
Ben

-- 
Ben Niven-Jenkins
Networking Specialist, BT Exact
  
E-mail: [email-masked] 
Office: +44 (0)1473 648225
Mobile: +44 (0)7918 077205
   Fax: +44 (0)1332 578827

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Danny McPherson
> Sent: Tuesday, July 19, 2005 3:05 PM
> To: pwe3
> Subject: [PWE3] Draft Charter
> 
> 
> 
> Folks,
> Please give the following charter a review and let Stewart
> and I (and/or the entire mailing list) know if you have
> any comments.  The window for comments will close
> July 29, 2005.
> 
> http://pwe3.tcb.net/pwe3-charter-2005071901.txt
> 
> Thanks!
> 
> -danny
> 
> ---------
> Pseudo Wire Emulation Edge to Edge (PWE3) WG
> 
> Description of Working Group:
> 
> Network operators and their subscribers are seeking to 
> rationalize their networks by migrating to a single IP or 
> MPLS based packet switched network (PSN). This migration 
> requires communications services that can emulate the 
> essential properties of traditional communications links over a PSN.
> 
> Pseudowire Emulation Edge to Edge (PWE3) will specify the 
> encapsulation, transport, control, management, interworking 
> and security of services emulated over IETF specified PSNs.
> 
> A pseudowire emulates a point-to-point link, and provides a 
> service which is perceived by its user as an unshared link or 
> circuit of the chosen service.  It is not intended that an 
> emulated service will be indistinguishable from the service 
> that is being emulated.  The emulation need only be 
> sufficient for the satisfactory operation of the service.  
> Emulation necessarily involves a degree cost-performance 
> trade-off.  In some cases it may be necessary to design more 
> than one emulation mechanism in order to resolve these design 
> conflicts.  All emulated service definitions will include an 
> applicability statement describing the faithfulness of the 
> emulation.  Switching, multiplexing, modification or other 
> operation on the traditional service, unless required as part 
> of the emulation, is out of the scope of the PWE3 WG.
> 
> PWE3 will make use of existing IETF specified mechanisms
> unless there are technical reasons why the existing 
> mechanisms are insufficient or unnecessary.
> 
> PWE3 will not exert control on the underlying PSN, other than 
> to use any existing QoS or path control mechanism to provide 
> the required connectivity between the two endpoints of the PW.
> 
> PWE3 will investigate mechanisms necessary to perform clock 
> recovery and other real-time signaling functions.  This work 
> will be coordinated with the AVT WG and RTP will be used 
> where appropriate.
> 
> PWE3 will work closely with the L2VPN WG to ensure a clear 
> demarcation is defined for where PWE3 stops and L2VPN starts.
> 
> WG Objectives (in order of priority):
> 
> Specify the following PW types and consider specification of 
> additional PW types contingent on WG consensus and AD approval:
> 
> Ethernet, Frame Relay, PPP, HDLC, ATM, low-rate TDM and SONET.
> 
> PWE3 will evaluate the use of PW mechanisms for an "MPLS 
> Pseudowire" to transparently carry an MPLS label stack and 
> payload between two PE routers.
> 
> Specify a PW type that supports transparent carriage of IP 
> payloads between disparate access services (e.g., ATM and Ethernet).
> 
> Specify the control and management functions of chartered PW 
> types, to include PW setup, configuration, maintenance and tear-down.
> 
> Specify OAM mechanisms for all PW types, suitable for
> operation over both IP and MPLS PSNs, and capable of
> providing the necessary interworking with the OAM mechanisms
> of the emulated service.
> 
> Enhance packet-based PW specifications as necessary to allow 
> the emulated service to be carried transparently over the 
> PSN, for example by the retention of the FCS across the PW.
> 
> Define mechanisms to permit the operation of a PW over
> a PSN that employs equal cost multiple path (ECMP) packet 
> switching mechanism.
> 
> A PW operating over a shared PSN does not have the same 
> intrinsic security as a dedicated, purpose built, network. In 
> some cases this is satisfactory, while in other cases it will 
> be necessary to enhance the security of the PW to emulate the 
> intrinsic security of the emulated service. PW specifications 
> MUST include a description of how they are to be operated 
> over a shared PSN with adequate security.
> 
> Whilst a service provider may traffic engineer their network
> is such a way that PW traffic will not cause significant 
> congestion, a PW deployed by an end-user may cause congestion 
> of the underlying PSN.  Suitable congestion avoidance 
> mechanisms are therefore needed to protect the Internet from 
> the unconstrained deployment of PWs.
> 
> Define requirements for and mechanisms to provide 
> interconnection of PWs (to include inter-domain PWs).
> 
> Define the reqiurements for and mechanisms needed to allow
> the operation of switched virtual circuits over a PSN.
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
> 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Danny McPherson <[email-masked]>
Date: Sun, 24 Jul 2005 14:44:11 -0600

> existing services and platforms onto IP or MPLS based packet switched

OK, I've implemented this recommendation...

> enabling/allowing FCS retention etc.)?

Sure..  We're all never going to agree on the complete set
of terminology or exact language used in the charter, I believe
the current text there suffices.

> OAM mechanisms specified for an IP PSN may differ from those specified

The charter isn't intended to define this, the subsequent
requirements and WG efforts in the area will.

> Correction: reqiurements => requirements

Thanks for taking the time to review the charter and provide
your feedback Ben!

-danny